View Issue Details

IDProjectCategoryView StatusLast Update
15819Bug reportsRemoteControlpublic2021-04-06 14:43
Reporterfabianlehner Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.1 
Fixed in Version4.4.15 
Summary15819: Missing localization for group_name in add_group, set_group_properties, import_group
DescriptionSee also 15813. Group names have been moved to a localization table, the remote control methods mentioned above still need to be adapted to that. At the moment, setting the group name through `set_group_properties` fails with "No valid Data", since the attribute is now (by design) missing in the groups table.
Steps To ReproduceTry to create a new group or set the group name through RC.
TagsNo tags attached.
Complete LimeSurvey version number (& build)4.1.0+200128
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionPostgres 11
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.2

Activities

Wavenetche

Wavenetche

2021-02-17 18:21

reporter   ~62327

Hi, is there any news about this one ?
gabrieljenik

gabrieljenik

2021-02-25 15:03

manager   ~62521

'import_group' was working fine.
'add_group' was updated as to save to the QuestionGroupL10n model.

'set_group_properties' was updated as to be able to receive an array on 'questiongroupl10ns' param.
The method is backward compatible. If an 'questiongroupl10ns' is not given, then it is composed from the old name, description and language parameters.

Adding test for 'add_group' y 'set_group_properties'.

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1785
Adding it to dev branch as to have more testing time.
gabrieljenik

gabrieljenik

2021-03-02 22:10

manager   ~62627

New PR replacing prior one:
https://github.com/LimeSurvey/LimeSurvey/pull/1793
gabrieljenik

gabrieljenik

2021-04-06 14:43

manager   ~63825

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31496

Related Changesets

LimeSurvey: master 02429afa

2021-03-03 12:50:15

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15819: Missing localization for group_name in add_group, set_group_properties, import_group (#1793)

'import_group' was working fine.
'add_group' was updated as to save to the QuestionGroupL10n model.

'set_group_properties' was updated as to be able to receive an array on 'questiongroupl10ns' param.
The method is backward compatible. If an 'questiongroupl10ns' is not given, then it is composed from the old name, description and language parameters.

Adding test for 'add_group' y 'set_group_properties'.
Affected Issues
15819
mod - application/helpers/remotecontrol/remotecontrol_handle.php Diff File
mod - tests/unit/helpers/RemoteControlTest.php Diff File

Issue History

Date Modified Username Field Change
2020-02-05 09:18 fabianlehner New Issue
2021-02-17 18:21 Wavenetche Note Added: 62327
2021-02-18 14:32 c_schmitz Assigned To => c_schmitz
2021-02-18 14:32 c_schmitz Status new => acknowledged
2021-02-25 15:03 gabrieljenik Note Added: 62521
2021-03-02 22:10 gabrieljenik Note Added: 62627
2021-03-29 14:54 c_schmitz Status acknowledged => closed
2021-03-29 14:54 c_schmitz Resolution open => fixed
2021-03-29 14:54 c_schmitz Fixed in Version => 4.4.15
2021-04-06 14:43 gabrieljenik Changeset attached => LimeSurvey master 02429afa
2021-04-06 14:43 gabrieljenik Note Added: 63825
2021-04-06 14:43 gabrieljenik Assigned To c_schmitz => gabrieljenik